Acknowledge Organization Activity Event
Acknowledge Organization Activity Event. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Acknowledge Organization Activity Event. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.enderdash.com/api/trpc/activity.acknowledgeOrganizationActivityEvent" \ -H "Content-Type: application/json" \ -d '{ "eventId": "string", "organizationId": "string" }'{ "result": { "data": { "acknowledgedAt": "2019-08-24T14:15:22Z", "id": "string" } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}OpenAPI
Browse the generated EnderDash OpenAPI schema and use it alongside the HTTP API reference.
Create Alert Destination POST
Create Alert Destination. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.